explain_printf_or_die(3)

NAME
explain_printf_or_die - formatted output conversion and report errors
    "formatted output conversion and report errors"

SYNOPSIS
#include <libexplain/printf.h>

int explain_printf_or_die(const char *format);
int explain_printf_on_error(const char *format);

DESCRIPTION
The explain_printf_or_die function is used to call the printf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_printf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_printf_on_error function is used to call the printf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_printf(3) function, but still returns to the caller.

format
    The format, exactly as to be passed to the printf(3) system call.

RETURN VALUE
The explain_printf_or_die function only returns on success, see printf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_printf_on_error function always returns the value return by the wrapped printf(3) system call.

EXAMPLE
The explain_printf_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_printf_or_die(format);

SEE ALSO

printf(3)
    formatted output conversion

explain_printf(3)
    explain printf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2010 Peter Miller